2006-10-24  Richard Dale  <rdale@foton.es>

	* The QGL* classes were not being built by default, as a few years ago
	  KDE didn't use OpenGL by default. So enable them by default now 3D
	  is pretty standard.

2006-10-24  Richard Dale  <rdale@foton.es>

	* Fixed compiler warning in Invocation.java reported by Rafael Lopez

2006-02-14  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added QStyleOption.h and QStyleOption.cpp sources which were
	  missing. Fixes problem reported by Sekou DIAKITE

2005-10-26  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Removed QPointArray.begin() and end() methods as they don't compile
	  on 64 bit machines, and Iterators can't be used in QtJava anyway.
	  Fixes problem reported by Adeodato S.

2005-10-23  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the java bindings from the Qt 3.3.5 headers

2005-03-13  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Removed QImage::jumpTable() as it's too low level for java
	* Fixed prototype in JavaSlot.h which didn't compile on Solaris - thanks
	  to Shea Martin for reporting these problems.

	CCMAIL: kde-java@kde.org

2005-02-21  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Removed unused sources
	* Removed the QFont::cacheStatistics method as it doesn't exit in Qt Embedded

2005-02-01  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the QtJava bindings from the Qt 3.3.4 headers

2004-10-07  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * Fixed problem reported by David Goodenough where the Java slot type to C++ slot
   type table contained spaces in the C++ type signature.

 CCMAIL: kde-java@kde.org

2004-06-07  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * Regenerated QImage.bits() and colorTable() to use Michal Ceresna's kalyptus patch
 * Regenerated QCheckListItem to remove unwanted copy constructor

2004-06-06  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * When a java null is passed as a QString argument, it was converted to (QString*)0L. 
   Null java strings are now converted to (QString*)&QString::null.
   Fixes crash reported by Maik Schulz when passing a null to KURLRequesterDlg.getURL()

2004-04-03  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * Several more missing java sources re-added to the KDevelop project

2004-04-03  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * Added QtSupport.java to the project again as KDevelop didn't add the
	  source name to org/kde/qt/Makefile.am. Reported by Dominique.

2004-03-24  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added qtjava/javalib/org/kde/qt/qtjava.java to the Makefile.am as it was missing.
	* Changed the qtjava.jar dependency rule in javalib/Makefile.am to use
	  'classnoinst.stamp' rather than 'classjava.stamp' as that is now created 
	  instead as a result of Dominique's recent fixes. 

2004-01-20  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the QTableItem binding from the Qt 3.3 header, as the 
	  QTableItem::content() method has been removed. Thanks to Adrian Schroeter
	  for the error report.

2004-01-12  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added JavaSlot proxy types for various new signal types in Qt 3.2.3
	  - a bit late, but this adds critical missing functionality needed for the release

2004-01-05  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Removed QDomNodeList class from the project as it's marshalled to a java.util.ArrayList
	* When a java method needed to be renamed, because in the type signature 
	  only the return type differed in C++, when that isn't allowed in java,
	  the JNI function name was not using the new name.
	* Fixed error in JNI function names when the C++ method had an underscore.

2004-01-03  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added QSyntaxHighlighter class

2003-12-30  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Improved code generation to fix some compiler warnings
	* Added some java sources missing from the Makefile.am
	* Added java long to C++ long long conversions

2003-12-21  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the QtJava bindings from the Qt 3.2.3 headers
	  - Code generation greatly improved, and no manual edits or patches needed 
	    anymore. The bindings code could now be generated as part of the kdebindings
	    configure, and doesn't need to be checked into the cvs.
	  - Added operator methods, and named them 'op_*', eg op_plus().
	  - Various friend functions in the global namespace, added as static methods 
	    to the Qt class
	  - Added new classes QEventLoop, QHttpHeader, QHttpRequestHeader,
	    QHttpResponseHeader, QSpinWidget, QSplashScreen and QToolBox
	  - Removed Accessibility and QStyle* classes
	  - Updated the example programs to work with the current bindings

2003-10-10  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added fix from Michal Ceresna to prevent Windows crash on application exit

2003-09-24  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added a patch from gabor to fix Windows build problems, and a bug in QPointArray.putPoints()

2003-06-25  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added polish() virtual method callbacks, so code generated by the juic tool works correctly

2003-01-25    <Richard_Dale@tipitina.demon.co.uk>

	* uchar types were wrongly being converted to Strings in QSizePolicy, they should be shorts (reported by Marco Ladermann)

2003-01-17    <Richard_Dale@tipitina.demon.co.uk>

	* Fixed bug in conversion of signal type 'int,int,int,const QPoint&' to java type in QTable (reported by Felix Rodriguez).

2002-12-30    <duke@tipitina>

	* License changed back from LGPL to GPL

2002-11-26    <duke@tipitina.demon.co.uk>

	* Changed license from GPL to LGPL.
        * Removed redundant event handling interfaces

2002-11-24    <duke@tipitina.demon.co.uk>

	* Added missing QGb18030Codec class

2002-11-08  Richard Dale <duke@tipitina.demon.co.uk>

	* QtJava bindings regenerated from Qt 3.1 headers. 
	* SWT-style dispose() and isDisposed() methods added
	* Qt Eventhandlers can be called from overriding java methods via super.<method name>.

2002-05-09  Richard Dale <duke@tipitina.demon.co.uk>
	* Header filename qgbkcodec.h renamed as qgb18030codec.h
2002-04-29  Richard Dale <duke@tipitina.demon.co.uk>
	* In QApplication, the argc value passed to Qt was one less than
         it should have been - fix from Marcel Volaart
2002-04-18  Richard Dale <duke@tipitina.demon.co.uk>
	* 'javalib' top level test program is no longer installed
2002-03-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Native code event handlers are no longer called in Invocation.java
2002-03-22  Richard Dale <duke@tipitina.demon.co.uk>
	* Added 'Object,byte[]' slot invocations to Invocation.java
	* Added fully qualified name expansion to some KDE signal types
	* Added missing constructors to QGridLayout
2002-03-15  Richard Dale <duke@tipitina.demon.co.uk>
	* Recently introduced link error in QObject.tr() fixed
2002-03-14  Richard Dale <duke@tipitina.demon.co.uk>
	* Changed QObject.tr() and QObject.trUtf8() to static methods
2002-03-11  Richard Dale <duke@tipitina.demon.co.uk>
	* More JNI local reference leak fixes
2002-03-10  Richard Dale <duke@tipitina.demon.co.uk>
	* Added new qtjava.initialize() method and changed sample code to use it.
2002-03-07  Richard Dale <duke@tipitina.demon.co.uk>
	* Added widgets and wizard Qt examples
	* Added QStyleFactory class
	* Fixed some JNI local reference leaks in QtSupport.cpp and  JavaSlot.cpp
	* Fixed validate() methods in QValidator classes to use 'StringBuffer, int[]'
         args correctly
	* Added missing constructors and methods to QListViewItem, QStatusBar, 
         QVBoxLayout and QWizard
	* Added eventFilter() callback to QMainWindow. Call to super in an event 
         filter now possible.
2002-03-05  Richard Dale <duke@tipitina.demon.co.uk>
	* Added tux Qt example - surely the most important example yet?
	  It is now possible to drag a large penguin with your mouse without
         knowing whether it is powered by C++, java or herring..
	* Added constructors to QBitmap for QPixmap and QImage input types. 
         This conversion was only available in C++ via weird operator overloading 
         on assignment to an existing QBitmap.
2002-03-05  Richard Dale <duke@tipitina.demon.co.uk>
	* Added table/small-table-demo and textedit Qt examples
	* Added missing constructors to QAction and QTextEdit
	* Regenerated QFontDatabase class to add methods returning QValueList<int>, 
         translated to int[] in java.
	* Slot types 'QAction*', 'QDropEvent*,const QValueList<QIconDragItem>&' and 
         'const QValueList<QUrlInfo>&,QNetworkOperation*' now work.
	* Added QtSupport::arrayWithQIconDragItemList() and 
         QtSupport::arrayWithQUrlInfoList() conversion methods.
2002-03-04  Richard Dale <duke@tipitina.demon.co.uk>
	* Added showimg, sound, splitter and tabdialog Qt examples
	* Changed name of C++ QPixmap::loadFromData() with enum 'ColorMode 
         parameter to QPixmap.loadFromDataWithMode() in java, to distinguish it
         from the method with the same name with a conversion_flags' int parameter.
	* Added missing methods and constructors to QComboBox, QFileDialog, QGrid, 
         QMessageBox and QTabDialog
2002-03-04  Richard Dale <duke@tipitina.demon.co.uk>
	* Added richtext, rot13 and scribble Qt examples
	* Added QApplication.args(), removed argv() and argc() methods
	* Added missing constructors. QColorDialog.getRgba() now has a boolean[] 
         'ok' parameter, rather than int[]
	* Added missing QPen and QTextView constructors
	* Added C++ QMemArray<QRect> to java ArrayList conversion, and implemented
         QRegion.rects() method.
2002-03-03  Richard Dale <duke@tipitina.demon.co.uk>
	* Added missing inline methods to QColor
	* Added Qt qwerty and rangecontrols examples
	* Removed finalize() methods from codec classes, as they shouldn't 
         be deleted.
	* Changed readBlock() methods to use a mutable StringBuffer, rather 
         than String.
	* Added missing QLCDNumber constructor
	* Fixed incorrect value for Qt.Vertical
2002-03-02  Richard Dale <duke@tipitina.demon.co.uk>
	* Added qmag Qt example
	* Added missing QFileDialog.getSaveFileName() methods
2002-03-02  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt menu, popup, progressbar and qfd examples
	* Added missing QPopupMenu and QProgressBar constructors.
2002-02-28  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt MDI example
	* Added QObject.emit(String,int) method
	* Added QWorkspace missing constructor
	* qtjava: fixed bug in qtjava.toNormalizedTypeSignature() for signature 
         lists of more than one type.
	* JavaSlot: fixed JNI local reference memory leaks. Added 'String,int' 
         java slot type.
	* QToolButton: Fixed java slot/signal connection bug
	* QtSupport: Fixed JNI local reference memory leaks.
2002-02-27  Richard Dale <duke@tipitina.demon.co.uk>
	* Added lineedits and listbox Qt examples
	* Added missing QSpinBox constructor
	* Fixed QListBox method name clash. QListBox.setRowMode(int) and 
         QListBox.setColumnMode(int) now called setNumRows() and setNumColumns()
2002-02-27  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt layout example
	* Added missing constructor to QMenuBar
2002-02-27  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt iconview example
	* Fixed error in C++ signal type signature for QDropEvent plus ArrayList
         of QIconDragItems
2002-02-27  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt helpviewer example
	* Added missing constructors to QComboBox, QSimpleRichText, QTextBrowser,
         QToolBar and QUrl
2002-02-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt hello example
	* Added missing QPixmap.fill() methods
	* Added missing QPainter.drawText() methods
2002-02-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt Forever graphics example
2002-02-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt drawlines example
2002-02-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt Drag and Drop example - dragdrop
	* Fixed bug in QMovie slot/signal connections. Added new QRect and QSize 
         slot types.
	* QtSupport::mimeSource() added to correctly cast to 'QMimeSource *' with 
         multiple inheritance. 
	* Added missing QImageDrag constructors
	* Changed QTextDrag.decode() methods to use a mutable StringBuffer. Added 
         missing constructors.
	* Changed QUriDrag.decode() methods to use mutable ArrayLists.
2002-02-25  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt Digital Clock, dclock, example
2002-02-25  Richard Dale <duke@tipitina.demon.co.uk>
	* Added cursor Qt example
2002-02-25  Richard Dale <duke@tipitina.demon.co.uk>
	* Added checklists Qt example
	* Fixed crash in QCheckListItem finalizer
	* Improved QtSupport::arrayWithQListViewItemList so that it uses 
         QListViewItem.rtti() to identify QListViewItem or QCheckListItems.
2002-02-25  Richard Dale <duke@tipitina.demon.co.uk>
	* Added buttongroups Qt example
	* Added missing constructors to QButtonGroup
2002-02-24  Richard Dale <duke@tipitina.demon.co.uk>
	* Added biff example
	* Changed QPixmap.loadFromData() and QImage.loadFromData() to take a char[]
         data argument, rather than byte[].
2002-02-22  Richard Dale <duke@tipitina.demon.co.uk>
	* Added QIODevice #defined constants as java static final ints
	* Added missing QGridlayout constructor
	* QPopupMenu - added missing methods, fixed java signal/slot connection bug
	* Added QListView.itemList() and QListViewItem.itemList() methods returning 
         ArrayList with QListViewItems.
	* Qt 'addressbook' example converted to java
2002-02-21  Richard Dale <duke@tipitina.demon.co.uk>
	* Added extra Qt examples - aclock, picture, demo/sql, demo/widgets
	* Various missing java methods added
2002-02-13  Richard Dale <duke@tipitina.demon.co.uk>
	* QObject - Added i18n() as a synonym for tr().
	* QPaintDevice - dded missing bitBlt() methods
	* QPopupMenu - added missing insertItem() methods
	* Added missing QPointArray(int) constructor
	* QtSupport - Added extra default parameter to C++ -> java array 
         conversions, so an existing java array can be used as a target.
	* Qt tutorials and application example translated from C++ by 
         Emond Papegaaij.
2002-02-12  Richard Dale <duke@tipitina.demon.co.uk>
	* Fixed JNI local reference leaks in event callbacks
2002-02-10  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt.dynamicCast().
	* Missing constructors added.
	* QWMatrix.invert() now takes a boolean[] arg, rather than int[].
	* Added mapping of QCanvasItemList onto java.util.ArrayList
2002-01-31  Richard Dale <duke@tipitina.demon.co.uk>
	* Java null strings shouldn't be converted to QString::null by 
         QtSupport::toQString, but to 0 instead
2002-01-23  Richard Dale <duke@tipitina.demon.co.uk>
	* Fixed QAccel.connectItem() and disconnectItem() methods.
	* Fixed bug in QObject.emit() with boolean argument
	* Added extra constructor to QLabel
2001-12-18  Richard Dale <duke@tipitina.demon.co.uk
	* readLine() parameters changed from String to a mutable StringBuffer
	* The QFontDialog.getFont() methods now return a result in a boolean[]
         parameter
	* Added Qt networking classes for completeness 	
2001-12-08  Richard Dale <duke@tipitina.demon.co.uk
	* Added missing QKeySequence.cpp/.h
2001-12-07  Richard Dale <duke@tipitina.demon.co.uk
	* Added QSplitter.sizes(), setSizes().
        * Added java int[] <--> C++ QValueList<int> conversions
2001-12-04  Richard Dale <duke@tipitina.demon.co.uk
	* A QPopupMenu wrapped C++ instance is only deleted if 
          'parentWidget(FALSE) == 0'.
          The test 'parentWidget(TRUE) == 0' is always true for QPopupMenus.
	* Qt methods which returned references to null C++ objects were
          causing a seg fault.
2001-11-21  Richard Dale <duke@tipitina.demon.co.uk
	* Java bindings regenerated for Qt 3.0.0
2001-10-11  Richard Dale <duke@tipitina.demon.co.uk
	* Bindings regenerated for Qt 3.0.0 beta 6.
          New Qt 3 classes added.
2001-07-28  Richard Dale <duke@tipitina.demon.co.uk
	* Added missing _qt instance variable to QPointArray.java
2001-07-26  Richard Dale <duke@tipitina.demon.co.uk
	* Fixed bug in C++ signal to java slot connections introduced during
          recent code clean up.
        * Added missing QLabel(String) constructor
2001-07-22  Richard Dale <duke@tipitina.demon.co.uk
	* Moved Java<->C++ slot/signal look up code from QtSupport to 
          JavaSlot class. 
        * Fixed string conversion bugs on Intel platforms in
          the following QtSupport methods: validateDelegate(), fixupDelegate(), 
          toQStrList(), toQStringList(), arrayWithQStringLIst(). C
        * Windows port by Eddie Chan <eddie.chan@bigfoot.com>, thanks Eddie!
          All platform specific X11 methods removed.
        * Class constants replaced with #defines for JAVA_YEAR, JAVA_MONTH, JAVA_DAY.
2001-06-28  Richard Dale <duke@tipitina.demon.co.uk
	* Fixed QString to Java string conversion on JVMs expecting little endian
          unicode to be passed to the NewString() JNI function
2001-06-18  Richard Dale <duke@tipitina.demon.co.uk
	* Fixed memory leak in Java to QString string conversion
2001-06-13  Richard Dale <duke@tipitina.demon.co.uk
	* Commented out methods which didn't compile against Qt 2.2.4.
2001-06-10  Richard Dale <duke@tipitina.demon.co.uk
	* Added workround for non-portable JNI unicode string function.
2001-06-05  Richard Dale <duke@tipitina.demon.co.uk
	* Added workround for QString unicode constructor bug. A Java string
          is converted to a QString via UTF8. Fixed bug in QTimer single shot
          method - added connection to target Java slot.'
2001-05-31  Richard Dale <duke@tipitina.demon.co.uk
	* C++ signals can be connected to C++ signals. Slots can be inherited.
          Possible fix for platform dependent Java to QString conversion bug.
          Some extra constructors added. A 'qtjava.jar' file is now built and 
          installed.
2001-05-16  Richard Dale <duke@tipitina.demon.co.uk
	* Add QRegExp class. Headers QtSupport.h and JavaSlot.h are installed in 
	  include/qtjava.
2001-05-07  Richard Dale <duke@tipitina.demon.co.uk
	* Sources regenerated for KDE 2.2. 
        * QByteArray/QCStringList now converted correctly.
        * String conversions improved, no longer inline, but all methods in 
          QtSupport.h/cpp.
        * Argc/Argv parameters all have dummy java argv[0] added. 
        * QDates are now converted to java.util.Calendar, rather than java.util.Date. 
        * Event handler callbacks are now generated for inherited event methods, 
          as well as for the current class. 
        * The address of a C++ Qt instance is held in a 64 bit java long, rather 
          than a 32 bit integer, so the runtime work on 64 bit architectures now.
2001-04-22  Richard Dale <duke@tipitina.demon.co.uk
	* Moved java sources from qtjava/javalib/javasrc to qtjava/javalib/org/kde/qt, and
fixed the install target to install the .class files in $(kde_libraries)/java.
Wed Nov 13 14:30:00 2000  Richard Dale <Richard_Dale@tipitina.demon.co.uk>
	* Beta 0.1 baseline
	* Runs Qt Scribble
Wed Nov 30 23:45:00 2000  Richard Dale <Richard_Dale@tipitina.demon.co.uk>
	* Beta 0.2 baseline
	* Added 50 Qt/KDE signal types
	* Added signal to signal connections
	* Added eventFilter() callbacks for QObject and QWidget subclasses
	* Improved code generation for strings and lists. Now more compact
	and doesn't seg fault when passed nulls
	* Added uic Java code generation as a patch
	* Added qDebug(), qWarning() and qFatal().
	* Qt classes are in the package 'org.kde.qt'
	* KDE classes are in the package 'org.kde.koala'.
	* Fixed bug where widgets with parents were being destroyed twice.
Fri Feb 9 17:00:00 2001  Richard Dale <Richard_Dale@tipitina.demon.co.uk>
	* Added missing QMenuData class
	* Fixed bug which prevented protected slots and event handlers from being
	called.
	* Added method for handling boolean callbacks such as KMainWindow::queryClose()
Tues Feb 20 12:40:00 2001  Richard Dale <Richard_Dale@tipitina.demon.co.uk>
	* Beta 0.3 baseline
	* Regenerated sources for Qt 2.2.4 and rebuilt
	* Added QValidator::validate() and fixup() callbacks
